Bug 244835 - rpmlint traceback
rpmlint traceback
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 09:23 EDT by Ralf Corsepius
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.81-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 13:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-06-19 09:23:15 EDT
Description of problem:
Current rpmlint is returning tracebacks if cwd doesn't exist.

Version-Release number of selected component (if applicable):
rpmlint-0.80-1.fc7

Steps to Reproduce:
1. mkdir tmp
2. cd tmp
3. rmdir ../tmp
4. rpmlint <package>.rpm
  
Actual results:

rpmlint
/var/ftp/pub/linux/mirrors/download.fedora.redhat.com/pub/fedora/linux/updates/7/i386/agistudio-1.2.3-3.fc7.i386.rpm

shell-init: error retrieving current directory: getcwd: cannot access parent
directories: No such file or directory
shell-init: error retrieving current directory: getcwd: cannot access parent
directories: No such file or directory
E: agistudio zero-length /usr/share/agistudio/template/snddir
Traceback (most recent call last):
  File "/usr/share/rpmlint/rpmlint.py", line 270, in <module>
    main()
  File "/usr/share/rpmlint/rpmlint.py", line 92, in main
    runChecks(pkg)
  File "/usr/share/rpmlint/rpmlint.py", line 151, in runChecks
    c.check(pkg)
  File "/usr/share/rpmlint/BinariesCheck.py", line 148, in check
    info=pkg.getFilesInfo()
  File "/usr/share/rpmlint/Pkg.py", line 205, in getFilesInfo
    olddir = os.getcwd()
OSError: [Errno 2] No such file or directory


Expected results:
No traceback

Additional info:
Comment 1 Ville Skyttä 2007-06-20 16:33:21 EDT
Fixed upstream, will be in the next release:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1356
Comment 2 Fedora Update System 2007-09-07 13:21:37 EDT
rpmlint-0.81-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.